'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.resolve = exports.lookupBabelConfiguration = exports.interfaceVersion = undefined;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _eslintImportResolverNode = require('eslint-import-resolver-node');

var _eslintImportResolverNode2 = _interopRequireDefault(_eslintImportResolverNode);

var _resolve = require('./resolve');

var _resolve2 = _interopRequireDefault(_resolve);

var _lookupBabelConfiguration = require('./lookup-babel-configuration');

var _lookupBabelConfiguration2 = _interopRequireDefault(_lookupBabelConfiguration);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * This source file is part of my personal project.
 *
 * This source code license can be found in the LICENSE file in the root directory of this
 * source tree.
 *
 * @author    Yudha Setiawan <me@yudhasetiawan.com>
 * @link      http://yudhasetiawan.com
 * @copyright Copyright (c) 2016, Yudha Setiawan.
 */


var debug = (0, _debug2.default)('eslint:plugin:import-resolver-babel-namespace:resolver');

// This is required for the resolver of eslint-plugin-import
var interfaceVersion = 2;

/**
 * Find the full path to 'source', given 'file' as a full reference path.
 *
 * @param {String} modulePath The module to resolve
 * @param {String} sourceFile The source file's full path
 * @param {Object} config The configuration of this plugin
 *
 * @return {Object}
 */
var resolve = function resolve(modulePath, sourceFile) {
    var config = arguments.length <= 2 || arguments[2] === undefined ? {} : arguments[2];

    var results = {
        found: false
    };

    try {
        results = (0, _resolve2.default)(modulePath, sourceFile, config);
    } catch (error) {
        debug('An exception has been thrown: %s', error.message);
    }

    if (results.found) {
        return results;
    }

    return _eslintImportResolverNode2.default.resolve(modulePath, sourceFile, config);
};

exports.interfaceVersion = interfaceVersion;
exports.lookupBabelConfiguration = _lookupBabelConfiguration2.default;
exports.resolve = resolve;
exports.default = {
    interfaceVersion: interfaceVersion,
    resolve: resolve
};